html,
body,
#wrap,
main {
  margin: 0;
  padding: 0;
  font-family: "Open Sans";

  min-height: 100vh;
}

::-webkit-input-placeholder {
  color: #9dcce7;
}

:-moz-placeholder {
  /* Firefox 18- */
  color: #9dcce7;
}

::-moz-placeholder {
  /* Firefox 19+ */
  color: #9dcce7;
}

:-ms-input-placeholder {
  color: #9dcce7;
}

a,
a:visited,
a:link,
a:active {
  color: #356aac;
}

a:hover {
  color: #497ab6;
}

h4,
h5,
h6 {
  color: #555;
}

label {
  font-size: 17px;
  font-weight: 200;
  color: inherit;
  margin-top: 20px;
  display: block;
  color: #555;
}

label.disabled {
  color: #ddd;
}

p.disabled {
  color: #ddd;
}

ol li {
  margin-left: 20px;
}

.clearfix {
  clear: both;
}

.pageLoader {
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 0.5em;
  text-align: center;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.pageLoader > .div {
  position: relative;
  width: 100%;
  height: 100%;
}

.pageLoader > div > div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: inline-block;
  color: silver;
  font-size: 80px;
}

.logo {
  cursor: pointer;
}

/*
.alert {
  border-width: 1px;
  border-style: solid;
  padding: 20px;
  font-size: 90%;
  margin: 20px 0;
  border-radius: 3px;
  color: #777;
  background: #eee;
  border-color: #ddd;
}

.alert a,
.alert a:hover,
.alert a:visited,
.alert a:link,
.alert a:active {
  color: inherit;
  text-decoration: underline;
}

.alert a:hover {
  text-decoration: none;
}

.alert.warning {
  background-color: #f08a24;
  border-color: #de770f;
  color: #FFFFFF;
}
*/

button,
.button,
.button:visited,
.button:link {
  color: #fff;
}

.button .fa {
  color: #fff;
}

.successTab {
  display: inline-block;
  color: green;
}

.loginWrap {
  opacity: 1;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-image: url("../img/login-bg.jpg");
  background-color: #5ea0c2;
  background-size: 100% 100%;
  transition: opacity 1s;
}

.loginLogoWrap {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 5px 0 0 5px;
}

.loginWrap .logo {
  cursor: default;
}

.loginForm {
  width: 300px;
  margin: 200px auto 0 auto;
  text-align: center;
  color: #b1d1e2;
}

.loginForm button,
.loginForm button:active,
.loginForm button:hover,
.loginForm button:link,
.loginForm button:visited {
  background-color: #b1d1e2;
  border: 0;
  text-shadow: none;
  font-weight: 100;
  padding: 10px 20px;
  display: block;
  margin: 20px auto;
}

.loginForm label {
  color: #b1d1e2;
  font-size: 24px;
}

.loginForm input {
  font-size: 24px;
  background-color: #b1d1e2;
}

.loginLoaderWrap {
  text-align: center;
  margin-top: 20px;
}

.toggleNavButton {
  position: fixed;
  top: 15px;
  left: 0;
  display: inline-block;
  transition: left 0.7s;
  margin: 3px;
  cursor: pointer;
  opacity: 0.5;
  background: #fff;
  border-radius: 3px;
  font-size: 25px;
}

.toggleNavButton:hover {
  opacity: 1;
}

.toggleNavButton img {
  display: block;
  width: 20px;
}

.toggleNavButton.showingNav {
  left: 200px;
}

.toggleNavButton.showingNav img {
  transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
}

nav {
  transition: left 0.7s;
  left: -200px;
  display: block;
  width: 200px;
  position: fixed;
  top: 0;
  height: 100%;
  background-color: #191818;
}

nav.open {
  left: 0;
}

nav ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

nav > ul > li > a:active > span,
nav > ul > li > a:link > span,
nav > ul > li > a:visited > span,
nav > ul > li > a > span,
nav > ul > li > a:hover > span,
nav > ul > li:hover,
nav > ul > li > a.active {
  color: #ddd;
  background-color: #222222;
}

nav > ul > li.active > a,
nav > ul > li:hover > a,
nav > ul > li:hover > a:active,
nav > ul > li:hover > a:link,
nav > ul > li:hover > a:visited {
  color: #fff;
  cursor: pointer;
}

nav ul li a img,
nav ul li a i.fa {
  opacity: 0.8;
  font-size: 18px;
}

nav ul li a:hover img,
nav ul li a:hover i.fa nav ul li.active a img,
nav ul li.active a i.fa {
  opacity: 1;
}

nav ul li a,
nav ul li a:visited,
nav ul li a:link,
nav ul li a:active {
  display: block;
  padding: 15px 15px 15px 15px;
  text-decoration: none;
  color: #fff;
  color: #ddd;
}

nav .logo {
  left: 35px;
  top: 20px;
  position: absolute;
}

nav > .toggleNavButton {
  left: 180px;
  width: 20px;
  top: 15px;
  position: absolute;
}

.mainNav {
  bottom: 50px;
  position: absolute;
  top: 80px;
  left: 0;
  width: 100%;
  overflow-y: auto;
}

.mainNav li span {
  display: inline-block;
  margin-left: 10px;
  vertical-align: middle;
  font-size: 17px;
}

.mainNav li img {
  vertical-align: middle;
}

.mainNav li > ul {
  margin-left: 0;
}

.miniNav {
  border-top: 1px solid #222222;
  border-bottom: 1px solid #222222;
  bottom: 0px;
  position: absolute;
}

.miniNav li {
  width: 66px;
  display: block;
  float: left;
  cursor: pointer;
}

.miniNav li a,
.miniNav li a:active,
.miniNav li a:hover,
.miniNav li a:link,
.miniNav li a:visited {
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
  text-align: center;
  width: 100%;
}

.miniNav li a:hover {
  background-color: #222222;
  color: #fff;
}

.miniNav li img {
  margin-right: 0;
  display: inline-block;
  vertical-align: middle;
}

ul.subNav li {
  font-size: 0.8em;
  margin-left: 35px;
}

nav > ul > li > ul > li > a {
  padding: 15px 5px 14px 25px;
  border-bottom: 1px solid #222222;
  color: #ddd;
}

nav > ul > li > ul {
  -webkit-box-shadow: inset 11px 10px 10px -10px rgba(25, 24, 24, 0.8);
  -moz-box-shadow: inset 11px 10px 10px -10px rgba(25, 24, 24, 0.8);
  box-shadow: inset 11px 10px 10px -10px rgba(25, 24, 24, 0.8);
  background-color: #323232 !important;
}

.mobileOverlay {
  display: none;
}

main {
  display: block;
  transition: margin-left 0.7s;
  position: relative;
}

main.showingNav {
  margin-left: 200px;
}

main > .mainInner {
  padding: 30px;
  transition: opacity 0.2s;
  opacity: 1;
  min-height: 100vh;
  position: relative;
}

main > .mainInner.fadeOut {
  transition: opacity 0.2s;
  opacity: 0;
}

main h1:first-child {
  margin-top: 0;
  padding-top: 0;
}

.pageHeader {
  clear: both;
  float: none;
  overflow: hidden;
}

.pageNav {
  position: absolute;
  top: 45px;
  right: 30px;
}

ul.miniPopup {
  position: absolute;
  top: 30px;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  padding: 0 !important;
  list-style: none;
}

ul.pages li ul.miniPopup {
  top: 90px;
  left: 35px;
}

ul.miniPopup li {
  margin: 0;
  padding: 0;
}

ul.miniPopup li a {
  padding: 5px 10px;
  display: inline-block;
  color: #888;
}

.miniPopup li:hover a {
  color: #555;
}

.pagesWrap {
  position: relative;
}

.pages {
  list-style: none;
  padding-left: 0;
}

.pages ul {
  padding-left: 30px;
  padding-top: 20px;
  list-style: none;
}

.pages li {
  padding: 10px 0;
  vertical-align: middle;
  position: relative;
}

.pages li a,
.pages li .img-icon {
  opacity: 0.6;
}

.pages li:hover a,
.pages li:hover .img-icon {
  opacity: 1;
}

.pages li.hiddenNode a,
.pages li.hiddenNode .img-icon {
  opacity: 0.2;
}

.pages li.notPublished a {
  font-style: italic;
}

.pages li.hiddenNode:hover a,
.pages li.hiddenNode:hover .img-icon {
  opacity: 0.3;
}

.unpublishedChanges {
  color: red;
  font-weight: bold;
}

.pages li a {
  vertical-align: middle;
}

.pages li a div.img-icon {
  vertical-align: middle;
}

.pages li a,
.pages li .img-icon {
  cursor: pointer;
}

.pages .pageSettingsBar {
  opacity: 1;
  overflow: hidden;
  height: 22px;
  transition: all 0.5s;
  padding: 10px 0 10px 36px;
}

.pages .pageSettingsBar.hidden {
  height: 0;
  transition: all 0.5s;
  padding: 0;
}

.pages .pageSettingsBar a {
  font-size: 14px;
  text-decoration: none;
  color: #666;
  margin: 0 3px;
}

.pages .toggle-children-button {
  position: absolute;
  left: -50px;
  top: 1px;
  color: #666;
  cursor: pointer;
}

.pages li.drag-over {
  border-bottom: 1px solid #ddd;
  margin-bottom: 10px;
  padding-bottom: 10px;
}

ul.apps {
  list-style: none;
  margin: 20px 0 0 0;
  padding: 0;
}

ul.apps li {
  padding: 15px 15px 0;
  border: 1px solid #eee;
  margin: 20px auto;
  position: relative;
}

ul.apps li h2 {
  margin-bottom: 0;
  margin-top: 0;
}

ul.apps li h2 .by {
  font-size: small;
}

ul.apps li p {
  margin-top: 0;
}

ul.apps li {
  clear: both;
}

ul.apps li .info {
  float: left;
  margin-right: 150px;
}

ul.apps li .install-wrap {
  top: 15px;
  right: 15px;
  position: absolute;
  text-align: right;
  width: 150px;
}

ul.apps li .install-wrap .button {
  padding: 15px 10px;
  font-size: 13px;
}

.img-icon {
  width: 32px;
  height: 32px;
  display: inline-block;
  background-repeat: no-repeat;
  background-size: auto 32px;
  vertical-align: middle;
}

.img-icon.img-icon-page {
  background-image: url("../img/icons_black/page.png");
}

.img-icon.img-icon-section {
  background-image: url("../img/icons_black/section.png");
}

.img-icon.img-icon-alias {
  background-image: url("../img/icons_black/alias.png");
}

.img-icon.img-icon-link {
  background-image: url("../img/icons_black/link.png");
}

h1,
h2,
h3 {
  color: #356aac;
  font-family: "Ubuntu";
}

h1 {
  font-size: 2.5em;
  font-weight: 500;
}

h2 {
  font-size: 2em;
  font-weight: 400;
}

h3 {
  font-size: 1.5em;
  font-weight: 350;
}

iframe.editor {
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  border: 0;
  width: 100%;
  height: 100%;
  position: fixed;
  transition: left 0.7s;
  z-index: -1;
}

main.showingNav iframe.editor {
  left: 200px;
}

.hidden {
  opacity: 0;
  transition: opacity 1s;
}

fieldset {
  margin: 0;
  padding: 0 21px 21px;
  border: 1px solid #ddd;
  border-radius: 3px;
}

fieldset table:first-child {
  margin-top: 20px;
}

table ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

ul.normal {
  padding-left: 15px !important;
  margin-left: 15px !important;
  list-style-type: disc !important;
}

div#notices {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: #ae0909;
  color: #fff;
  opacity: 0.9;
  text-shadow: 2px 2px #000;
  z-index: 1000;
  padding: 10px;
}

div#notices i {
  cursor: pointer;
}

.ractive-tooltip {
  display: block;
  position: fixed;
  max-width: 300px;
  background-color: #f4f4f4;
  border: 1px solid #eee;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
  padding: 0.5em;
  font-size: 0.8em;
}

@media (max-width: 800px) {
  main > .mainInner {
    padding: 20px;
  }

  .showingNav .mobileOverlay {
    background: rgba(255, 255, 255, 0.8);
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    display: block;
  }

  .toggleNavButton {
    display: none;
  }

  .pageNav {
    top: 20px;
    right: 20px;
  }

  .pageHeader h1 {
    margin-top: 0;
  }
}

ul.striped {
  list-style-type: none;
  padding-left: 0px;
}

ul.striped li {
  padding: 5px;
  cursor: hand;
  background-color: #acc0cb;
}

ul.striped li:nth-child(even) {
  background-color: #cfe7f4;
}

.numeric {
  text-align: right;
}

hr.separator {
  height: 12px;
  border: 0;
  box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);
}

.tabs-panel.is-active {
  display: block;
}

ul.itemList {
  list-style: none;
}

table.itemList th:first-child,
table.itemList td:first-child {
  white-space: nowrap;
  width: 0px;
}

table.itemList .button {
  margin: 0px;
}

table.compact {
  font-size: 0.7rem;
}

.pagination .current a,
.pagination .current a:hover {
  background-color: transparent;
  color: #fefefe;
}

.top-bar {
  background: #fff;
  box-shadow: 0px 6px 6px -6px #999;
}

.panel {
  padding: 10px 0px;
}
